---
title: Samuel Horáni
published: true
taxonomy:
    category: [vp2021]
    tag: [chatbot,rasa,dialog,nlp]
    author: Daniel Hladek
---

rok začiatku štúdia: 2019

## Vedecký projekt 2021

Dialógový systém pomocou RASA framework

Cieľom projektu je naučiť sa niečo o dialógových systémoch a oboznámiť sa so základnými nástrojmi.

- Nainštalujte a oboznámte sa s RASA frameworkom. Pri inštalácii využite systém Anaconda.
- Vyberte a prejdite najmenej jeden tutoriál pre prácu s RASA frameworkom.
- Napíšte krátky report na 2 strany kde napíšete čo ste urobili a čo ste sa dozvedeli.
- Výstup je tu https://git.kemt.fei.tuke.sk/sh662er/Rasa

Stretnutie 9.4.2021

Stav:

- Vypracovaná dokumentácia.
- Podarilo sa modifikovať systém tak že vie využiť slovenský fasttext word embedding model.
- modifikácia využíva všeobecný spacy pipeline. Bolo potrebné anlyzovať zdrojové kódy spacy aby to išlo. 

Úlohy:

- Vyskúšať slovenský spacy model od vedúceho.
- podmienky na zápočet sú splnené - ale poprosím dokumentáciu konvertovať do Markdown a nahrať na GIT.


Stretnutie 26.3.2021

Stav:

- Preklad jazykového modelu z angličity do slovenčiny
- Napísané pravidlá "ako sa volám".

Úlohy:

- Fast tex model implememntovať
- napísať dokumentáciu



Stretnutie 19.3.2021

Zásobník úloh:

- Doplniť podporu slovenčiny do fr. RASA


Stav:

- Je nainštalovaný fr. RASA pomcou Anaconda
- Je vytvorený základný jazykový model - v anglickom jazyku.
- Prezretý video kanál s [RASA tutoriálom](https://www.youtube.com/watch?v=rlAQWbhwqLA&list=PL75e0qA87dlHQny7z43NduZHPo6qd-cRc)

Úlohy:

- Skúsiť vytvoriť agenta ktorý komunikuje po slovensky. Najprv by sa preložili trénovacie príklady.
- Zistiť ako doplniť podporu slovenčiny do RASA. Komponenty ktoré máme k dispozícii sú: spacy model, fastext a glove word embedding model, BERT model (fresh and secret).
